<?php
// Copyright 1999-2017. Plesk International GmbH. All Rights Reserved.

$this->passVariablesToJavaScript([
    'URL_GET_PROGRESS_PRE_CHECKS' => $this->urlGetProgress,
    'URL_CANCEL_PRE_CHECKS' => $this->urlCancelPreChecks,
    'URL_START_MIGRATION' => $this->urlStartMigration,
    'URL_MIGRATION_STATUS' => $this->urlMigrationStatus,
    'URL_LIST_OF_SUBSCRIPTIONS' => $this->urlListOfSubscriptions,
    'URL_PRE_MIGRATION_CHECK_RESULTS' => $this->urlPreMigrationCheckResults,
    'URL_HAS_PRE_MIGRATION_ISSUES' => $this->urlHasPreMigrationIssues,
    'PRE_CHECKS_POLL_INTERVAL' => 1000
]);
$this->includeMigratorJavaScript('locale.js');
$this->addJavaScriptLocaleKeys([
    'preMigrationChecksTitle',
    'preMigrationChecksStarting',
    'preMigrationChecksWaitingForTasks',
    'preMigrationChecksSkipButton',
    'preMigrationChecksCancelling',
    'preMigrationChecksFinishedRedirecting',
    'preMigrationChecksFinishedCheckIssues',
    'preMigrationChecksFinishedStartingMigration',
    'preMigrationChecksInBackgroud',
    'waitButtonTitle'
]);
$this->includeMigratorCss('progress-bar.css');
$this->includeMigratorJavaScript('common.js');
$this->includeMigratorJavaScript('overall-status.js');
$this->includeMigratorJavaScript('popup/pre-checks.js');